Name: x11-font-encodings
Version: 1.0.2
Release: %mkrel 1
Summary: Xorg X11 font encodings
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/font/encodings-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

BuildRequires: x11-font-util >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-xfs <= 6.9.0
Requires(pre): mkfontdir

%description
This package contains the encodings that map to specific characters.

%prep
%setup -q -n encodings-%{version}

%build
%configure2_5x	\
   --x-includes=%{_includedir} \
   --x-libraries=%{_libdir} \
   --with-encodingsdir=%{_datadir}/fonts/encodings

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post
mkfontdir -n -e /usr/share/fonts/encodings /usr/share/fonts/encodings

%postun
mkfontdir -n -e /usr/share/fonts/encodings /usr/share/fonts/encodings

%files
%defattr(-,root,root)
%dir %{_datadir}/fonts/encodings
%{_datadir}/fonts/encodings/*


%changelog
* Wed Jul 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 55489
- use Requires(pre) instread of PreReq
- update description
- update to the latest upstream version


* Thu Mar 01 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.0-6mdv2007.0
+ Revision: 130447
- Re-generate encodings.dir when the package is installed (#29020)

* Fri Nov 17 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.0-5mdv2007.1
+ Revision: 85225
- removed wrong postinstall script (it was deleting the needed encodings.dir)

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-4mdv2007.0
+ Revision: 52705
- Encondings should go to new path too

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

